<?php
define('PROTECTOR', 1);

include('files/db.php');
include('files/auth.php');
include('files/func.php');
$textl='Аватары';
include('files/core.php');
include('files/head.php');
include('files/zag.php');
if($udata['storona']=='white'){
$max=23;
$papka="scw";
}else{
$max=23;
$papka="scb";
}
switch($_GET['mod']){
default:

echo'<div class="main"><div class="block_zero center"><span style="color: #9bc;">Смена аватара Бессмертного!</span></div><div class="mini-line"></div><div class="block_zero center"><img src="image/logo/maska.png" width="120" height="60" alt="logo"></div><div class="dot-line"></div>';

if(empty($_GET['page'])){
$_GET['page']=1;
}
$mpage=ceil($max/5);
$pg=$_GET['page'];
if($pg==1){$i=1;$a=5;}
if($pg==2){$i=6;$a=10;}
if($pg==3){$i=11;$a=15;}
if($pg==4){$i=16;$a=20;}
if($pg==5){$i=21;$a=25;}
if($pg==6){$i=26;$a=30;}
if($pg==7){$i=31;$a=34;}
While($i<=$a){
if($i<=$max){
echo"<div class=\"block_zero\"><img src=\"image/avatar/nova/$papka/$i.png\" alt=\"ава\"/><a href=\"avatar.php?mod=go&name=$i.png\">Выбрать-100 серебра</a><a href=\"avatar.php?mod=c&name=$i.png\">[C]</a></div><div class='dot-line'></div>";
}
$i++;
}
$peg=$pg+1; if($pg>>1){$pgk=$pg-1;$back="<a href=\"avatar.php?page=$pgk\">[назад]</a> ";}
if($mpage>$pg){$next="<a href=\"avatar.php?page=$peg\">[вперед]</a>";}
echo"Всего: $max аватаров </br><a href=\"avatar.php?mod=up\">Вернуть стандартный</a>
</br><a href=\"avatar.php?mod=load\">Загрузить свой</a>
</br> $back $next";
break;

case 'go':
$_GET['cena']=100;
if($udata['money']<$_GET['cena']){echo"Нехватает денег!</br><a href=\"index.php\">На главную</a>";}else{
echo'Аватарка выбрана. С вас снято '.$_GET['cena'].' монет';
mysql_query("UPDATE `users` SET `avatar` = '$_GET[name]',`money` = '$udata[money]'-'$_GET[cena]' WHERE `usr` = '$log'");}
break;

case 'c':
echo "<img src=\"image/avatar/nova/$papka/$_GET[name]\" alt=\"ава\"/></br>
</div><div class='menu'><a href=\"avatar.php\">[назад]</a>";

break;
case 'up':
echo "Вы выбрали стандарный аватар!</br>
</div><div class='menu'><a href=\"avatar.php\">[назад]</a>";
mysql_query("UPDATE `users` SET `avatar` = '' WHERE `usr` = '$log'");
break;

case 'heroes':
echo"<div class='stat_bar'><div class='progress blue' style='width:90%'></div></div>
<div class='line' style='padding:0px;'><div class='progress' style='width:54%'></div></div>";
echo'<div style="background:#666666;height:1px;width:100%;padding:0;margin:6px 0;">
<div style="background:#FFDF8C; height:1px; width:39%;"></div>
</div>';

$i=12;
While($i<=54){
echo"$i.<img src=\"http://wap.teeda.ru/img/icons/i$i.png\" alt=\"ава\"/>";$i++;}
$i=1;
While($i<=55){
echo"$i.<img src=\"http://wap.teeda.ru/img/monsters/hunt$i.jpg\" alt=\"ава\"/>";$i++;}
echo"</br></br>";
$i=1;
While($i<=80){
echo"$i.<img src=\"http://wap.teeda.ru/img/icons/e$i.png\" alt=\"ава\"/>";$i++;}

$i=1;
While($i<=45){
echo"$i.<img src=\"http://wap.teeda.ru/img/icons/p$i.png\" alt=\"ава\"/>";$i++;}

$i=1;
While($i<=6){
echo"$i.<img src=\"http://wap.teeda.ru/img/pets/p$i-3m.jpg\" alt=\"ава\"/>";$i++;}

$i=1;
While($i<=15){
echo"$i.<img src=\"http://wap.teeda.ru/img/items/sfera_$i.jpg\" alt=\"ава\"/>";$i++;}

$i=1;
While($i<=25){
echo"$i.<img src=\"http://wap.teeda.ru/img/pic/$i.jpg\" alt=\"ава\"/>";$i++;}

break;
case 'load':
echo "Загрузка аватара<br>$div <font color='#ffc22b'> • Можно загружать аватары любых размеров, весом не больше 20кб, в формате jpg, png , gif. Стоимость 1 золота</br>";
	 if($_POST['go']==5)
	 {
	 // проверим соответсвует ли загружаемый аватар нашим параметрам
	 if($_FILES['avatar']['size']>20500){$err_avatar_size='Аватар слишком велик!';}
	 if(!($_FILES['avatar']['type']=='image/pjpeg' OR $_FILES['avatar']['type']=='image/jpeg' OR $_FILES['avatar']['type']=='image/gif' OR $_FILES['avatar']['type']=='image/png'))
	 {$err_avatar_type='Файл имеет неразрешенный тип!';}
	 
	 // сохраним аватар на сервере, если нет ошибок
	 if(!$err_avatar_size AND !$err_avatar_type)
	     {
         $avatar_name=$log;
		 
		 $avatar_way="image/avatar/upload/".$avatar_name; // путь в аватару
		 
		 // удалим уже существующие аватары
		 $avatar_del=$avatar_way.".gif";
		 unlink($avatar_del);
		 $avatar_del=$avatar_way.".jpg";
		 unlink($avatar_del);
		$avatar_del=$avatar_way.".png";
		 unlink($avatar_del);	 
		 // добавляем расширение к файлу
         switch($_FILES['avatar']['type'])
		     {
		     case 'image/pjpeg': $avatar_way.=".jpg"; break;
			 case 'image/jpeg': $avatar_way.=".jpg"; break;
			 case 'image/gif': $avatar_way.=".gif"; break;
			case 'image/png': $avatar_way.=".png"; break; 
			 }
			

		 copy($_FILES['avatar']['tmp_name'], $avatar_way); // сохраним файл на сервер
		 }
	 }
	 
	 // выведем ошибки, если они есть
	 if($err_avatar_size){echo $err_avatar_size;}
	 if($err_avatar_type){echo $err_avatar_type;}
	 
	 $catalog="image/avatar/upload";
	 
	 // удалим аватар
	 if($_GET['del_avatar'])
     {
     $del_ava=$catalog."/".$_GET['del_avatar'];
     unlink($del_ava);
mysql_query("UPDATE `set` SET `avatar` = '' WHERE `usr`='$log'");
     }
	 
	 
	 // отобразим уже загруженный аватар
 
	 $i=1;
	 $dir = opendir ($catalog);
     while ($file = readdir ($dir)) 
     {
	 if($file=="$log.jpg" or $file=="$log.gif" or $file=="$log.png")
	     {echo"$file</br>";
         echo '<br><img src="'.$catalog.'/'.$file.'"></img><br>';
	     echo '<a href="'. htmlspecialchars($_SERVER['PHP_SELF']).'??mod=load&del_avatar='.$file.'">Удалить</a><br>';
	    	     echo '<a href="'.$_SERVER['PHP_SELF'].'?mod=save&ok='.$file.'&alm='.$udata['almaz'].'">Сохранить</a><br>'; 
	     }
     }
     closedir ($dir);
	 
	 
	 // форма загрузки
	 echo'
	 <form action="avatar.php?mod=load" method="post" enctype="multipart/form-data">
	 <input type="hidden" name="go" value="5">
	 <input type="file" name="avatar"><br><br>
	 <input type="submit" value="закачать"><input type="Reset" value="сброс">
	 </form>';
break;

case 'save':
if($_GET['alm']>=$udata['almaz']+1){echo"<img src=\"pic/no.png\"></img> Вы уже заплатили за этот аватар!</br><a href=\"avatar.php?mod=load\">Назад</a>";break;
}
if($_GET['ok']!==$name){
$name = $_GET['ok'];
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]'-'1' WHERE `usr`='$log'");
if(isset($set['avatar'])){
mysql_query("UPDATE `set` SET `avatar` = '$name' WHERE `usr`='$log'");
}else{
mysql_query("INSERT INTO `set` SET `avatar` = '$name'");
}
echo"<font color='#71cc71'> Аватарка сохранена</br>
<a href=\"avatar.php?mod=load\">Назад</a>";}
     

break;
}

include($path.'files/down.php');
?>